org.wildfly.swarm.config.infinispan.cache_container

## Class StateTransferComponent<T extends StateTransferComponent<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.StateTransferComponent<T>

-     public class StateTransferComponent<T extends StateTransferComponent<T>>
      extends Object

  The state transfer configuration for distributed and replicated caches.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateTransferComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `chunkSize()` The size, in bytes, in which to batch the transfer of cache entries.
    `T` | `chunkSize(Integer value)` The size, in bytes, in which to batch the transfer of cache entries.
    `Boolean` | `enabled()` If enabled, this will cause the cache to ask neighboring caches for state when it starts up, so the cache starts 'warm', although it will impact startup time.
    `T` | `enabled(Boolean value)` If enabled, this will cause the cache to ask neighboring caches for state when it starts up, so the cache starts 'warm', although it will impact startup time.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `timeout()` The maximum amount of time (ms) to wait for state from neighboring caches, before throwing an exception and aborting startup.
    `T` | `timeout(Long value)` The maximum amount of time (ms) to wait for state from neighboring caches, before throwing an exception and aborting startup.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateTransferComponent

          public StateTransferComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### chunkSize

          public Integer chunkSize()

      The size, in bytes, in which to batch the transfer of cache entries.

    - #### chunkSize

          public T chunkSize(Integer value)

      The size, in bytes, in which to batch the transfer of cache entries.

    - #### enabled

          public Boolean enabled()

      If enabled, this will cause the cache to ask neighboring caches for state when it starts up, so the cache starts 'warm', although it will impact startup time.

    - #### enabled

          public T enabled(Boolean value)

      If enabled, this will cause the cache to ask neighboring caches for state when it starts up, so the cache starts 'warm', although it will impact startup time.

    - #### timeout

          public Long timeout()

      The maximum amount of time (ms) to wait for state from neighboring caches, before throwing an exception and aborting startup.

    - #### timeout

          public T timeout(Long value)

      The maximum amount of time (ms) to wait for state from neighboring caches, before throwing an exception and aborting startup.

Copyright © 2017 JBoss by Red Hat. All rights reserved.